パソコン工房VR開発向けパソコン
最新 追記

ここに日記はありません


Wednesday 03 December, 2014 [長年日記] この日を編集

_ doublespacing再び

こんな場末のBLOGになんとコメントがついた。しばらくアクセスしていなかったので気がつかなくて申し訳ないことをしてしまった。コメントだけではよく状況がわからないし、とりあえず私も興味があるので試してみることにした。
%
% doublespacing
%
\documentclass[11pt,a4paper]{article}
\usepackage{lipsum}
\usepackage{setspace} % `doublespace' is obsolete now.
%
\begin{document}
% 
\doublespacing
\section{doublespacing}
\lipsum[1]
%
\singlespacing
\section{singlespacing}
\lipsum[2]
\end{document}
%
doublespecing one file
ということで前半がdoublespaceで後半がsinglespaceとなる。
次にfileを分けてみてどうなるか試してみる。
%
% doublespacing
%
\documentclass[11pt,a4paper]{article}
\usepackage{lipsum}
\usepackage{setspace} % `doublespace' is obsolete now.
%
\begin{document}
%
\doublespacing
\section{doublespacing}
\lipsum[1]
%
\input{two}
\end{document}
%
%
% two.tex
%
\singlespacing
\section{singlespacing}
\lipsum[2]
%

としても、わざと直前によけいな\doublespacingを入れても
%
% doublespacing
%
\documentclass[11pt,a4paper]{article}
\usepackage{lipsum}
\usepackage{setspace} % `doublespace' is obsolete now.
%
\begin{document}
%
\doublespacing
\section{doublespacing}
\lipsum[1]
%
\doublespacing
\input{two}
\end{document}
%
も同じ結果となった。何が問題なんだろう。
Twitter:

Thursday 04 December, 2014 [長年日記] この日を編集

_ Ruby-2.1.5にしてみた

この日記を動かしているtDiaryのrubyを1.9にした時、そしてruby-2.1にしたときから時間がたってrubyの新しいバージョンがでているので入れ替えをした。rubyの更新のみ。

Twitter:

Thursday 18 December, 2014 [長年日記] この日を編集

_ Ruby-1.9.3にもどした。

tDiaryが4.1.0になっているので入れ替えを試みたがエラーが出てうまくいかなかった。とりあえず問題を切り分けるためにrubyを1.9.3-p551にもどした。4.0.5はとりあえず問題なく動いている模様。
% ruby -v
ruby 1.9.3p551 (2014-11-13) [x86_64-freebsd9.1]
% gem -v
1.8.23.2
Twitter:

Tuesday 30 December, 2014 [長年日記] この日を編集

_ tDiary-4.1.1にあげた。

tDiary-4.1.0を入れた時にはうまくいかなかったが、4.1.1が出ていたのでこちらで試したら問題なくアップデートできた。pluginの相性についてはあるようなので必要のないpluginはoffにした方がよさそうだ。

Twitter:

ENOTECA Online(ワイン通販 エノテカ・オンライン) 29980円パソコン工房
リンクシェア アフィリエイト紹介プログラム